Package org.eclipse.ecf.provider.filetransfer.browse

## Class LocalFileSystemBrowser

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser
  - - org.eclipse.ecf.provider.filetransfer.browse.LocalFileSystemBrowser

    public class LocalFileSystemBrowser
    extends AbstractFileSystemBrowser

A class for asynchronously browsing a `File`-based filesystem.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`AbstractFileSystemBrowser.DirectoryJob, AbstractFileSystemBrowser.RemoteFileSystemRequest`

### Field Summary

Fields
`protected File` `local`

### Fields inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`connectContext, directoryOrFile, fileID, job, listener, proxy, remoteFiles`

### Constructor Summary

Constructors
`LocalFileSystemBrowser​(IFileID directoryID2, IRemoteFileSystemListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `runRequest()` Run the actual request.
`protected void` `setupProxy​(Proxy proxy)`

### Methods inherited from class org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser

`cancel, cleanUp, createRemoteFileEvent, createRemoteFileSystemRequest, getException, isCanceled, newUserCancelledException, selectProxyFromProxies, sendBrowseRequest, setCanceled, setException, setupProxies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### local

    protected File local

### Constructor Detail

#### LocalFileSystemBrowser

    public LocalFileSystemBrowser​(IFileID directoryID2,
                                  IRemoteFileSystemListener listener)
                           throws RemoteFileSystemException

Parameters:
  `listener` - listener
  `directoryID2` - remote directory
Throws:
  `RemoteFileSystemException` - if some problem

### Method Detail

#### runRequest

    protected void runRequest()
                       throws Exception

Description copied from class: `AbstractFileSystemBrowser`
Run the actual request. This method is called within the job created to actually get the directory or file information.

Specified by:
  `runRequest` in class `AbstractFileSystemBrowser`
Throws:
  `Exception` - if some problem with making the request or receiving response to the request.

#### setupProxy

    protected void setupProxy​(Proxy proxy)

Specified by:
  `setupProxy` in class `AbstractFileSystemBrowser`